## gimpbrush gimpbrush — Functions operating on a single brush. |

## Functions

gchar * | gimp_brush_new ()
gchar * | gimp_brush_duplicate ()
gchar * | gimp_brush_rename ()
gboolean | gimp_brush_delete ()
gboolean | gimp_brush_get_info ()
gboolean | gimp_brush_get_pixels ()
gboolean | gimp_brush_get_spacing ()
gboolean | gimp_brush_set_spacing ()
GimpBrushGeneratedShape | gimp_brush_get_shape ()
GimpBrushGeneratedShape | gimp_brush_set_shape ()
gint | gimp_brush_get_spikes ()
gint | gimp_brush_set_spikes ()
gdouble | gimp_brush_get_angle ()
gdouble | gimp_brush_set_angle ()
gdouble | gimp_brush_get_radius ()
gdouble | gimp_brush_set_radius ()
gdouble | gimp_brush_get_aspect_ratio ()
gdouble | gimp_brush_set_aspect_ratio ()
gdouble | gimp_brush_get_hardness ()
gdouble | gimp_brush_set_hardness ()
gboolean | gimp_brush_is_generated ()
gboolean | gimp_brush_is_editable ()

## Description

Functions operating on a single brush.

## Functions

### gimp_brush_new ()

    gchar *
    gimp_brush_new (const gchar *name);

Creates a new brush

This procedure creates a new, uninitialized brush

#### Parameters

name | The requested name of the new brush. |

#### Returns

The actual new brush name.

Since GIMP 2.2

### gimp_brush_duplicate ()

    gchar *
    gimp_brush_duplicate (const gchar *name);

Duplicates a brush

This procedure creates an identical brush by a different name

#### Parameters

name | The brush name. |

#### Returns

The name of the brush's copy.

Since GIMP 2.2

### gimp_brush_rename ()

    gchar *
    gimp_brush_rename (const gchar *name,
                       const gchar *new_name);

Rename a brush

This procedure renames a brush

#### Parameters

name | The brush name. |
new_name | The new name of the brush. |

#### Returns

The actual new name of the brush.

Since GIMP 2.2

### gimp_brush_delete ()

    gboolean
    gimp_brush_delete (const gchar *name);

Deletes a brush

This procedure deletes a brush

#### Parameters

name | The brush name. |

#### Returns

TRUE on success.

Since GIMP 2.2

### gimp_brush_get_info ()

    gboolean
    gimp_brush_get_info (const gchar *name,
                         gint *width,
                         gint *height,
                         gint *mask_bpp,
                         gint *color_bpp);

Retrieve information about the specified brush.

This procedure retrieves information about the specified brush. This includes the brush name, and the brush extents (width and height).

#### Parameters

name | The brush name. |
width | The brush width. |
height | The brush height. |
mask_bpp | The brush mask bpp. |
color_bpp | The brush color bpp. |

#### Returns

TRUE on success.

Since GIMP 2.2

### gimp_brush_get_pixels ()

    gboolean
    gimp_brush_get_pixels (const gchar *name,
                           gint *width,
                           gint *height,
                           gint *mask_bpp,
                           gint *num_mask_bytes,
                           guint8 **mask_bytes,
                           gint *color_bpp,
                           gint *num_color_bytes,
                           guint8 **color_bytes);

Retrieve information about the specified brush.

This procedure retrieves information about the specified brush. This includes the brush extents (width and height) and its pixels data.

#### Parameters

name | The brush name. |
width | The brush width. |
height | The brush height. |
mask_bpp | The brush mask bpp. |
num_mask_bytes | Length of brush mask data. |
mask_bytes | The brush mask data. |
color_bpp | The brush color bpp. |
num_color_bytes | Length of brush color data. |
color_bytes | The brush color data. |

#### Returns

TRUE on success.

Since GIMP 2.2

### gimp_brush_get_spacing ()

    gboolean
    gimp_brush_get_spacing (const gchar *name,
                            gint *spacing);

Get the brush spacing.

This procedure returns the spacing setting for the specified brush. The return value is an integer between 0 and 1000 which represents percentage of the maximum of the width and height of the mask.

#### Parameters

name | The brush name. |
spacing | The brush spacing. |

#### Returns

TRUE on success.

Since GIMP 2.2

### gimp_brush_set_spacing ()

    gboolean
    gimp_brush_set_spacing (const gchar *name,
                            gint spacing);

Set the brush spacing.

This procedure modifies the spacing setting for the specified brush. The value should be a integer between 0 and 1000.

#### Parameters

name | The brush name. |
spacing | The brush spacing. |

#### Returns

TRUE on success.

Since GIMP 2.4

### gimp_brush_get_shape ()

    GimpBrushGeneratedShape
    gimp_brush_get_shape (const gchar *name);

Get the shape of a generated brush.

This procedure gets the shape value for a generated brush. If called for any other type of brush, it does not succeed. The current possibilities are Circle (GIMP_BRUSH_GENERATED_CIRCLE), Square (GIMP_BRUSH_GENERATED_SQUARE), and Diamond (GIMP_BRUSH_GENERATED_DIAMOND). Other shapes are likely to be added in the future.

#### Parameters

name | The brush name. |

#### Returns

The brush shape.

Since GIMP 2.4

### gimp_brush_set_shape ()

    GimpBrushGeneratedShape
    gimp_brush_set_shape (const gchar *name,
                          GimpBrushGeneratedShape shape_in);

Set the shape of a generated brush.

This procedure sets the shape value for a generated brush. If called for any other type of brush, it does not succeed. The current possibilities are Circle (GIMP_BRUSH_GENERATED_CIRCLE), Square (GIMP_BRUSH_GENERATED_SQUARE), and Diamond (GIMP_BRUSH_GENERATED_DIAMOND). Other shapes are likely to be added in the future.

#### Parameters

name | The brush name. |
shape_in | The brush shape. |

#### Returns

The brush shape actually assigned.

Since GIMP 2.4

### gimp_brush_get_spikes ()

    gint
    gimp_brush_get_spikes (const gchar *name);

Get the number of spikes for a generated brush.

This procedure gets the number of spikes for a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |

#### Returns

The number of spikes on the brush.

Since GIMP 2.4

### gimp_brush_set_spikes ()

    gint
    gimp_brush_set_spikes (const gchar *name,
                           gint spikes_in);

Set the number of spikes for a generated brush.

This procedure sets the number of spikes for a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |
spikes_in | The desired number of spikes. |

#### Returns

The number of spikes actually assigned.

Since GIMP 2.4

### gimp_brush_get_angle ()

    gdouble
    gimp_brush_get_angle (const gchar *name);

Get the rotation angle of a generated brush.

This procedure gets the angle of rotation for a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |

#### Returns

The rotation angle of the brush.

Since GIMP 2.4

### gimp_brush_set_angle ()

    gdouble
    gimp_brush_set_angle (const gchar *name,
                          gdouble angle_in);

Set the rotation angle of a generated brush.

This procedure sets the rotation angle for a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |
angle_in | The desired brush rotation angle. |

#### Returns

The brush rotation angle actually assigned.

Since GIMP 2.4

### gimp_brush_get_radius ()

    gdouble
    gimp_brush_get_radius (const gchar *name);

Get the radius of a generated brush.

This procedure gets the radius value for a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |

#### Returns

The radius of the brush in pixels.

Since GIMP 2.4

### gimp_brush_set_radius ()

    gdouble
    gimp_brush_set_radius (const gchar *name,
                           gdouble radius_in);

Set the radius of a generated brush.

This procedure sets the radius for a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |
radius_in | The desired brush radius. |

#### Returns

The brush radius actually assigned.

Since GIMP 2.4

### gimp_brush_get_aspect_ratio ()

    gdouble
    gimp_brush_get_aspect_ratio (const gchar *name);

Get the aspect ratio of a generated brush.

This procedure gets the aspect ratio of a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |

#### Returns

The aspect ratio of the brush.

Since GIMP 2.4

### gimp_brush_set_aspect_ratio ()

    gdouble
    gimp_brush_set_aspect_ratio (const gchar *name,
                                 gdouble aspect_ratio_in);

Set the aspect ratio of a generated brush.

This procedure sets the aspect ratio for a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |
aspect_ratio_in | The desired brush aspect ratio. |

#### Returns

The brush aspect ratio actually assigned.

Since GIMP 2.4

### gimp_brush_get_hardness ()

    gdouble
    gimp_brush_get_hardness (const gchar *name);

Get the hardness of a generated brush.

This procedure gets the hardness of a generated brush. The hardness of a brush is the amount its intensity fades at the outside edge. If called for any other type of brush, the function does not succeed.

#### Parameters

name | The brush name. |

#### Returns

The hardness of the brush.

Since GIMP 2.4

### gimp_brush_set_hardness ()

    gdouble
    gimp_brush_set_hardness (const gchar *name,
                             gdouble hardness_in);

Set the hardness of a generated brush.

This procedure sets the hardness for a generated brush. If called for any other type of brush, it does not succeed.

#### Parameters

name | The brush name. |
hardness_in | The desired brush hardness. |

#### Returns

The brush hardness actually assigned.

Since GIMP 2.4

### gimp_brush_is_generated ()

    gboolean
    gimp_brush_is_generated (const gchar *name);

Tests if brush is generated

Returns TRUE if this brush is parametric, FALSE for other types

#### Parameters

name | The brush name. |

#### Returns

TRUE if the brush is generated.

Since GIMP 2.4

### gimp_brush_is_editable ()

    gboolean
    gimp_brush_is_editable (const gchar *name);

Tests if brush can be edited

Returns TRUE if you have permission to change the brush

#### Parameters

name | The brush name. |

#### Returns

TRUE if the brush can be edited.

Since GIMP 2.4

## Types and Values